from mashumaro.core.meta.helpers import type_name as type_name
from typing import Any, Optional

class MissingField(LookupError):
    field_name: Any = ...
    field_type: Any = ...
    holder_class: Any = ...
    def __init__(self, field_name: Any, field_type: Any, holder_class: Any) -> None: ...
    @property
    def field_type_name(self): ...
    @property
    def holder_class_name(self): ...

class UnserializableDataError(TypeError): ...

class UnserializableField(UnserializableDataError):
    field_name: Any = ...
    field_type: Any = ...
    holder_class: Any = ...
    msg: Any = ...
    def __init__(
        self, field_name: Any, field_type: Any, holder_class: Any, msg: Optional[Any] = ...
    ) -> None: ...
    @property
    def field_type_name(self): ...
    @property
    def holder_class_name(self): ...

class UnsupportedSerializationEngine(UnserializableField):
    def __init__(
        self, field_name: Any, field_type: Any, holder_class: Any, engine: Any
    ) -> None: ...

class UnsupportedDeserializationEngine(UnserializableField):
    def __init__(
        self, field_name: Any, field_type: Any, holder_class: Any, engine: Any
    ) -> None: ...

class InvalidFieldValue(ValueError):
    field_name: Any = ...
    field_type: Any = ...
    field_value: Any = ...
    holder_class: Any = ...
    msg: Any = ...
    def __init__(
        self,
        field_name: Any,
        field_type: Any,
        field_value: Any,
        holder_class: Any,
        msg: Optional[Any] = ...,
    ) -> None: ...
    @property
    def field_type_name(self): ...
    @property
    def holder_class_name(self): ...

class BadHookSignature(TypeError): ...

class ThirdPartyModuleNotFoundError(ModuleNotFoundError):
    module_name: Any = ...
    field_name: Any = ...
    holder_class: Any = ...
    def __init__(self, module_name: Any, field_name: Any, holder_class: Any) -> None: ...
    @property
    def holder_class_name(self): ...

class UnresolvedTypeReferenceError(NameError):
    holder_class: Any = ...
    name: Any = ...
    def __init__(self, holder_class: Any, unresolved_type_name: Any) -> None: ...
    @property
    def holder_class_name(self): ...

class BadDialect(ValueError): ...
